gst-launch-1.0 cannot work with imxv4l2src.

cancel
Showing results for 
Search instead for 
Did you mean: 

gst-launch-1.0 cannot work with imxv4l2src.

Jump to solution
1,015 Views
leima
Contributor III

I have an imx6q based board and connect with tw6865 video decoders board, with 4 cameras:

4 cameras ---> tw6865 board ----pcie---> im6q board

The kernel and rootfs are built by fsl-yocto-L4.1.15_2.0.0-ga, I use gst-launch to get videos, it works fine with "v4l2src":

gst-launch-1.0 v4l2src device=/dev/video2 ! imxv4l2sink overlay-width=512 overlay-height=300 overlay-top=300 overlay-left=0

If I replace v4l2src with imxv4l2src, it's going wrong with message:
===== IMXV4L2SINK: 4.1.4 build on Jan 31 2017 20:15:40. ======
WARNING: erroneous pipeline: could not link imxv4l2src0 to imxv4l2sink0

and dmesg outputs:

ERROR: v4l2 capture: slave not found!

gst-launch version:

gst-launch-1.0 version 1.8.1
GStreamer 1.8.1

0 Kudos
1 Solution
261 Views
joanxie
NXP TechSupport
NXP TechSupport

yes, the latest version uses v4l2src of opensrc to replace imxv4l2src.

View solution in original post

3 Replies
261 Views
leima
Contributor III

OK, so the document is out-of-date.

0 Kudos
262 Views
joanxie
NXP TechSupport
NXP TechSupport

yes, the latest version uses v4l2src of opensrc to replace imxv4l2src.

View solution in original post

171 Views
Liubin2
Contributor I

hi :

         Do you know how to use the gst-launch tool on imx8mm platform to set multiple videos to display on the LCD screen??I learned that IMX6 has the following operating methods:

 
 

Please tell me what plug-in I need to set up on the imx8mm platform,thanks。

 

 

0 Kudos